Package kiyut.sketsa.event

## Class MessageEvent

- java.lang.Object
- - java.util.EventObject
  - - kiyut.sketsa.event.MessageEvent

- All Implemented Interfaces:
    `Serializable`

      public class MessageEvent
      extends EventObject

  An event that characterizes a Message event.
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ERROR_MESSAGE` | Error messages type.
    `static int` | `INFORMATION_MESSAGE` | Information message type.
    `protected String` | `message` | the message text
    `protected int` | `type` | the event type
    `static int` | `WARNING_MESSAGE` | Warning messages type.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageEvent​(Object source, int type, String message)` | Construct a MessageEvent object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getMessage()` | Returns the message text
    `int` | `getType()` | Returns the event type

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INFORMATION_MESSAGE

          public static final int INFORMATION_MESSAGE

      Information message type.
      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final int ERROR_MESSAGE

      Error messages type.
      See Also:
        Constant Field Values

    - #### WARNING_MESSAGE

          public static final int WARNING_MESSAGE

      Warning messages type.
      See Also:
        Constant Field Values

    - #### type

          protected int type

      the event type

    - #### message

          protected String message

      the message text

  - ### Constructor Detail

    - #### MessageEvent

          public MessageEvent​(Object source,
                              int type,
                              String message)

      Construct a MessageEvent object
      Parameters:
        `source` - the Object that originated the event (typically this)
        `type` - an int specifying the event
        `message` - message text

  - ### Method Detail

    - #### getType

          public int getType()

      Returns the event type
      Returns:
        an int representing the type value

    - #### getMessage

          public String getMessage()

      Returns the message text
      Returns:
        the message text